# @synopsis AX_DIST_RPM([SPEC])
# ---------------------------------------------------------
# @author Tom Howard <tomhoward@users.sf.net>
# @version $Id$
# @copyright 2004 Tom Howard
#
# Adds support for a rpm dist target
#
# You will need to create a spec template with everything except the files
# and the Changlog.
# @NAME@ will be replaced with the value of @PACKAGE@ and @VER@ will be
# replaced with the value of @VERSION@.  The files and ChangeLog will be
# filled in automatically.  For instance
#
#     Summary: Foobar
#     Name: @NAME@
#     Version: @VER@
#     Release: 0
#     Copyright: GPL
#     Group: Productivity/Networking
#     Source0: http://somewhere/Foobar/%{name}-%{version}.tar.gz
#     URL: http://somewhere
#     BuildRoot: %{_tmppath}/%{name}-root
#     Prefix: %{_prefix}
#     
#     %description
#     Foobar does something
#     
#     %prep
#     %setup
#     
#     %build
#     %configure
#     make
#     
#     %install
#     %makeinstall
#     
#     %clean
#     rm -rf $RPM_BUILD_ROOT
#     
#     %files
#     %defattr(-,root,root)
#     
#     %doc AUTHORS BUGS COPYING INSTALL NEWS README
#     
#     %changelog
#
# Make sure ax_upload.am is added to aminclude.am and you have 
# 'include aminclude.am' in your toplevel Makefile.am
AC_DEFUN([AX_DIST_RPM],
[
AM_CONDITIONAL(USING_AX_DIST_RPM, [true])

echo "adding dist-rpm support"
AC_ARG_VAR(RPM, [rpm executable to use])
if test "x$RPM" = "x"; then
   AC_CHECK_PROGS(RPM,[rpmbuild rpm])
fi
AC_ARG_VAR(PLATFORM_SUFFIX, [A short name for your platform that will be added to the name of the the binary RPMs you may choose to create (by running make rpm).  e.g. rh71 for RedHat 7.1, lsb1.3 for a LSB 1.3 compliant system (SuSE 8.2 or RedHat 9])
if test "x$RPM" != "x"; then
   if test -z $PLATFORM_SUFFIX; then
      AC_MSG_WARN([You will not be able to build binary RPMS because you have not set PLATFORM_SUFFIX.  Please see 'configure --help' for more details]) 
   fi
fi
AM_CONDITIONAL(BUILD_RPM, [test "x$RPM" != "x"])

if test -f "$1"; then
	AC_SUBST(RPM_SPEC_FILE) 
	RPM_SPEC_FILE="$1"; 
	echo "setting rpm spec file... \"$RPM_SPEC_FILE\"";
else
	AC_MSG_ERROR([The spec template file cannot be found])
fi
])# AX_DIST_RPM